@echo off
REM This file will allow editing the pace car in the CART2kR1 carset.
if exist engno.fin goto CREATE
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo 	This installer will only work on the CART2kR1 carset.
echo;
goto END

:CREATE
cls
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo CART2kR1 engine cover fin editor. 
echo; 
echo;
echo Where you want to use the engine cover fins?
echo;
echo [A] On super speedways only
echo [B] On all tracks
echo [C] Never
echo;
choice /c:ABC
if errorlevel 3 GOTO FINSNONE
if errorlevel 2 GOTO FINSALL

REM FINSORG
cd..
unpack CART2kR1.dat
copy kits\engno.fin t_cover.3do
copy kits\tailno.fin tail.3do
copy kits\engyes.fin o_cover.3do
copy kits\tailyes.fin o_tail.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Top engine fin was configured as original.
GOTO FINISH

:FINSALL
cd..
unpack CART2kR1.dat
copy kits\engyes.fin t_cover.3do
copy kits\tailyes.fin tail.3do
copy kits\engyes.fin o_cover.3do
copy kits\tailyes.fin o_tail.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Top engine fin was placed on both car types.
GOTO FINISH

:FINSNONE
cd..
unpack CART2kR1.dat
copy kits\engno.fin t_cover.3do
copy kits\tailno.fin tail.3do
copy kits\engno.fin o_cover.3do
copy kits\tailno.fin o_tail.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Top engine fin was removed from both car types.

:FINISH
echo; 
echo;
echo			CART2kR1 Fin Changer is a compilation of
echo			Robert Szikszo's individual fin batch files 
echo			and was created by Edwin Roman, 5/28/00.
echo; 
echo			Questions?  Comments?  E-mail us!
echo			szikszo@engineer.com
echo			edwrom@pcspower.net 
:END
