@echo off
REM This file will allow editing the pace car in the CART2kR1 carset.
if exist bmwm3.pac goto CREATE
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo 	This installer will only work on the CART2kR1 carset.
echo;
goto END

:CREATE
cls
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo CART2kR1 pace car editor. 
echo; 
echo;
echo Which pace car you want to use?
echo;
echo [A]  BMW M3 pace car
echo [B]  Camaro pace car
echo;
choice /c:AB
if errorlevel 2 GOTO CAMARO


REM BMW
cd..
unpack CART2kR1.dat
copy kits\bmwm3.pac camaro.3do
copy kits\bmwtxt.pac pacecar.mip
copy kits\bmwf1.pac flash1.3do
copy kits\bmwf2.pac flash2.3do
copy kits\bmwf3.pac flash3.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Your pacecar has been changed to the new BMW M3.
GOTO FINISH

:CAMARO
cd..
unpack CART2kR1.dat
copy kits\camaro.pac camaro.3do
copy kits\camatxt.pac pacecar.mip
copy kits\camaf1.pac flash1.3do
copy kits\camaf2.pac flash2.3do
copy kits\camaf3.pac flash3.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Your pacecar has been changed to the original Camaro.

:FINISH
echo; 
echo;
echo			CART2kR1 Pace Car Changer is a compilation of
echo			Robert Szikszo's individual pace car batch files 
echo			and was created by Edwin Roman, 5/28/00.
echo; 
echo			Questions?  Comments?  E-mail us!
echo			szikszo@engineer.com
echo			edwrom@pcspower.net 
:END
