@echo off
REM This file will allow editing the wheels in the CART2kR1 carset.
if exist newfront.whl goto CREATE
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo 	This installer will only work on the CART2kR1 carset.
echo;
goto END

:CREATE
cls
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo CART2kR1 wheels editor. 
echo; 
echo;
echo Which wheels you want to use?
echo;
echo [A] New wheels, sunken sides
echo [B] Original wheels, flat sides
echo;
choice /c:AB
if errorlevel 2 GOTO ORIGINAL

REM NEWHEELS
cd..
unpack CART2kR1.dat
copy kits\newfront.whl fwheel.3do
copy kits\newrear.whl rwheel.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Your wheels have been changed to the High detailed model.
GOTO FINISH

:ORIGINAL
cd..
unpack CART2kR1.dat
copy kits\orgfront.whl fwheel.3do
copy kits\orgrear.whl rwheel.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Your wheels have been changed to the original model.

:FINISH
echo; 
echo;
echo			CART2kR1 Wheel Changer is a compilation of
echo			Robert Szikszo's individual wheel batch files 
echo			and was created by Edwin Roman, 5/28/00.
echo; 
echo			Questions?  Comments?  E-mail us!
echo			szikszo@engineer.com
echo			edwrom@pcspower.net 
:END